var configAxxessAjax = true;
    
function hideAxxessConfigOptions(baseLimit)
{
    var upperLimit = 5;

    for(i=upperLimit;i>baseLimit;i--)
    {
        $("select[name=\'packageconfigoption["+i+"]\']").parent("td").prev().hide();
        $("select[name=\'packageconfigoption["+i+"]\']").parent("td").hide();
    }

}
    
$(document).ajaxStop(function() 
{
    var moduleName = $("#inputModule").val();

    if(moduleName === "axxessReseller")
    {
        /*----onload event start-----*/

        if(configAxxessAjax && $("#tabLink3").parent("li").hasClass("active"))
        {
            configAxxessAjax = false;

            $("#moduleSettingsLoader").show();

            hideAxxessConfigOptions(1);

            $.ajax({
                        type: "POST",
                        url: "../modules/servers/axxessReseller/calls/configAxxess.php",
                        cache: false,
                        timeout: 25000,
                        dataType: "json",
                        data:
                        {
                            "action":"configAxxess",
                            "pid": axxessPid
                        },
                        error: function(request,error,errorThrown)
                        {
                        },
                        success: function(data)
                        {
                           if(data.status === "success" && data.message)
                           {
                                if(data.message.configoption1==="Fibre")
                                {
                                    $("select[name=\'packageconfigoption[2]\']").parent("td").prev().text("Network Provider");
                                    $("select[name=\'packageconfigoption[2]\']").empty();
                                    $("select[name=\'packageconfigoption[2]\']").append(data.option2);
                                    $("select[name=\'packageconfigoption[2]\']").parent("td").prev().show();
                                    $("select[name=\'packageconfigoption[2]\']").parent("td").show();

                                    if(data.option3)
                                    {
                                        $("select[name=\'packageconfigoption[3]\']").parent("td").prev().text("Fibre Data");
                                        $("select[name=\'packageconfigoption[3]\']").empty();
                                        $("select[name=\'packageconfigoption[3]\']").append(data.option3);
                                        $("select[name=\'packageconfigoption[3]\']").parent("td").prev().show();
                                        $("select[name=\'packageconfigoption[3]\']").parent("td").show();
                                    }
                                    if(data.option4)
                                    {
                                        if(data.message.configoption3==="Capped")
                                        {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("Fibre Capped");
                                        }
                                        else
                                        {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("Fibre Uncapped");
                                        }

                                        $("select[name=\'packageconfigoption[4]\']").empty();
                                        $("select[name=\'packageconfigoption[4]\']").append(data.option4);
                                        $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                        $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                    }
                                }
                                else if(data.message.configoption1==="DSL")
                                {
                                    if(data.option2)
                                    {
                                        $("select[name=\'packageconfigoption[2]\']").parent("td").prev().text("DSL");
                                        $("select[name=\'packageconfigoption[2]\']").empty();
                                        $("select[name=\'packageconfigoption[2]\']").append(data.option2);
                                        $("select[name=\'packageconfigoption[2]\']").parent("td").prev().show();
                                        $("select[name=\'packageconfigoption[2]\']").parent("td").show();
                                    }

                                    if(data.message.configoption2==="Line")
                                    {
                                        if(data.option4)
                                        {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("DSL Line");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append(data.option4);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                        }

                                    }
                                    else if(data.message.configoption2==="Data")
                                    {
                                        if(data.option3)
                                        {
                                            $("select[name=\'packageconfigoption[3]\']").parent("td").prev().text("DSL Data");
                                            $("select[name=\'packageconfigoption[3]\']").empty();
                                            $("select[name=\'packageconfigoption[3]\']").append(data.option3);
                                            $("select[name=\'packageconfigoption[3]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[3]\']").parent("td").show();
                                        }

                                        if(data.message.configoption3==="Capped")
                                        {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("DSL Capped");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append(data.option4);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();

                                            if(data.message.configoption4!=="0")
                                            {
                                                $("select[name=\'packageconfigoption[5]\']").parent("td").prev().text("Capped Amount");
                                                $("select[name=\'packageconfigoption[5]\']").empty();
                                                $("select[name=\'packageconfigoption[5]\']").append(data.option5);
                                                $("select[name=\'packageconfigoption[5]\']").parent("td").prev().show();
                                                $("select[name=\'packageconfigoption[5]\']").parent("td").show();
                                            }
                                        }
                                        else if(data.message.configoption3==="Uncapped")
                                        {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("DSL Uncapped");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append(data.option4);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                        }

                                    }


                                }
                                else if(data.message.configoption1==="Mobile")
                                {
                                    if(data.option2)
                                    {
                                        $("select[name=\'packageconfigoption[2]\']").parent("td").prev().text("Mobile");
                                        $("select[name=\'packageconfigoption[2]\']").empty();
                                        $("select[name=\'packageconfigoption[2]\']").append(data.option2);
                                        $("select[name=\'packageconfigoption[2]\']").parent("td").prev().show();
                                        $("select[name=\'packageconfigoption[2]\']").parent("td").show();
                                    }

                                    if(data.message.configoption2 ==="mobile")
                                    {
                                        if(data.option4)
                                        {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("MTN 3G/LTE");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append("<option value=\'0\'>Select a Service</option>"+data.option4);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                        }
                                    }
                                    else if(data.message.configoption2==="telkomfixed")
                                    {
                                        if(data.option3)
                                        {
                                            $("select[name=\'packageconfigoption[3]\']").parent("td").prev().text("Telkom Fixed LTE");
                                            $("select[name=\'packageconfigoption[3]\']").empty();
                                            $("select[name=\'packageconfigoption[3]\']").append(data.option3);

                                            $("select[name=\'packageconfigoption[3]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[3]\']").parent("td").show();
                                        }
                                        if(data.option4)
                                        {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("Service");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append(data.option4);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                        }
                                    }
                                    else if(data.message.configoption2==="mtnfixed")
                                    {
                                        if(data.option3)
                                        {
                                            $("select[name=\'packageconfigoption[3]\']").parent("td").prev().text("MTN Fixed LTE");
                                            $("select[name=\'packageconfigoption[3]\']").empty();
                                            $("select[name=\'packageconfigoption[3]\']").append(data.option3);

                                            $("select[name=\'packageconfigoption[3]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[3]\']").parent("td").show();
                                        }
                                        
                                        if(data.option4)
                                        {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("Service");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append(data.option4);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                        }
                                    }

                                }
                                else if(data.message.configoption1==="Voice")
                                {
                                    if(data.option4)
                                    {
                                        $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("Voice");
                                        $("select[name=\'packageconfigoption[4]\']").empty();
                                        $("select[name=\'packageconfigoption[4]\']").append("<option value=\'0\'>Select a Service</option>"+data.option4);
                                        $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                        $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                    }
                                }

                           }
                        }
                    });

                $("#moduleSettingsLoader").hide();
        }                        
        /*----onload event ends----*/
    }
});
    
  
    
    /*----First Option changed-----*/
    
    $(document).on("change", "select[name=\'packageconfigoption[1]\']", function ()
    {
        $("#moduleSettingsLoader").show();
        
        hideAxxessConfigOptions(1);
        
        if($(this).val()==="DSL")
        {
            $("select[name=\'packageconfigoption[2]\']").parent("td").prev().text("DSL");
            $("select[name=\'packageconfigoption[2]\']").empty();
            $("select[name=\'packageconfigoption[2]\']").append("<option value=\'0\'>Select a Service</option><option value=\'Line\'>Line</option><option value=\'Data\'>Data</option>");
            $("select[name=\'packageconfigoption[2]\']").parent("td").prev().show();
            $("select[name=\'packageconfigoption[2]\']").parent("td").show();
        }
        else if($(this).val()==="Fibre")
        {
            /*
            if(typeof(fibreAjax) == "object")
            {
                fibreAjax.abort();
                fibreAjax = "";
                return false;
            }
            */
            fibreAjax = $.ajax({
                                type: "POST",
                                url: "modules/servers/axxessReseller/calls/configAxxess.php",
                                cache: false,
                                timeout: 25000,
                                dataType: "json",
                                data:
                                {
                                    "action":"option1",
                                    "param":"getNetworkProviders",
                                },
                                error: function(request,error,errorThrown)
                                {
                                },
                                success: function(data)
                                {
                                   if(data.status==="success")
                                   {
                                        $("select[name=\'packageconfigoption[2]\']").parent("td").prev().text("Network Provider");
                                        $("select[name=\'packageconfigoption[2]\']").empty();
                                        $("select[name=\'packageconfigoption[2]\']").append(data.message);
                                        $("select[name=\'packageconfigoption[2]\']").parent("td").prev().show();
                                        $("select[name=\'packageconfigoption[2]\']").parent("td").show();
                                   }
                                }
                            });
        }
        else if($(this).val()==="Mobile")
        {
        
            $("select[name=\'packageconfigoption[2]\']").parent("td").prev().text("Mobile");
            $("select[name=\'packageconfigoption[2]\']").empty();
            $("select[name=\'packageconfigoption[2]\']").append("<option value=\'0\'>Select a Mobile Service</option><option value=\'mobile\'>MTN Mobile</option><option value=\'mtnfixed\'>MTN Fixed LTE</option><option value=\'telkomfixed\'>Telkom Fixed LTE</option>");
            $("select[name=\'packageconfigoption[2]\']").parent("td").prev().show();
            $("select[name=\'packageconfigoption[2]\']").parent("td").show();
                            
        }
        else if($(this).val()==="Voice")
        {
        
            /*
            if(typeof(voiceAjax) == "object")
            {
                voiceAjax.abort();
                voiceAjax = "";
                return false;
            }
            */
            voiceAjax = $.ajax({
                                type: "POST",
                                url: "../modules/servers/axxessReseller/calls/configAxxess.php",
                                cache: false,
                                timeout: 25000,
                                dataType: "json",
                                data:
                                {
                                    "action":"option1",
                                    "param":"getVoiceProducts",
                                },
                                error: function(request,error,errorThrown)
                                {
                                },
                                success: function(data)
                                {
                                   if(data.status==="success")
                                   {
                                        $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("Voice");
                                        $("select[name=\'packageconfigoption[4]\']").empty();
                                        $("select[name=\'packageconfigoption[4]\']").append(data.message);
                                        $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                        $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                   }
                                }
                            });
                            
        }
        $("#moduleSettingsLoader").hide();
    });
    
    /*------Second Option changed-------*/
    
    $(document).on("change", "select[name=\'packageconfigoption[2]\']", function ()
    {
        $("#moduleSettingsLoader").show();
        
        hideAxxessConfigOptions(2);
        
        var option1 = $("select[name=\'packageconfigoption[1]\']").val();
        var option2 = $("select[name=\'packageconfigoption[2]\']").val();
        
        if(option1 === "DSL")
        {
            if(option2 === "Data")
            {
                $("select[name=\'packageconfigoption[3]\']").parent("td").prev().text("DSL Data");
                $("select[name=\'packageconfigoption[3]\']").empty();
                $("select[name=\'packageconfigoption[3]\']").append("<option value=\'0\'>Select a Service</option><option value=\'Capped\'>Capped</option><option value=\'Uncapped\'>Uncapped</option>");
                $("select[name=\'packageconfigoption[3]\']").parent("td").prev().show();
                $("select[name=\'packageconfigoption[3]\']").parent("td").show();
            }
            else if(option2==="Line")
            {
                /*
                if(typeof(lineAjax) == "object")
                {
                    lineAjax.abort();
                    lineAjax = "";
                    return false;
                }
                */
                lineAjax = $.ajax({
                                    type: "POST",
                                    url: "../modules/servers/axxessReseller/calls/configAxxess.php",
                                    cache: false,
                                    timeout: 25000,
                                    dataType: "json",
                                    data:
                                    {
                                        "action":"option2",
                                        "param":"getLineProducts",
                                    },
                                    error: function(request,error,errorThrown)
                                    {
                                    },
                                    success: function(data)
                                    {
                                       if(data.status==="success")
                                       {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("DSL Line");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append(data.message);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                       }
                                    }
                                });
            }
        }
        else if(option1==="Fibre")
        {
            if(option2!="0")
            {
                $("select[name=\'packageconfigoption[3]\']").parent("td").prev().text("Fibre Data");
                $("select[name=\'packageconfigoption[3]\']").empty();
                $("select[name=\'packageconfigoption[3]\']").append("<option value=\'0\'>Select a Service</option><option value=\'Capped\'>Capped</option><option value=\'Uncapped\'>Uncapped</option>");
                $("select[name=\'packageconfigoption[3]\']").parent("td").prev().show();
                $("select[name=\'packageconfigoption[3]\']").parent("td").show();
            }
        }
        else if(option1 === "Mobile")
        {
            if(option2 === "mobile")
            {
                /*
                if(typeof(mobileAjax) == "object")
                {
                    mobileAjax.abort();
                    mobileAjax = "";
                    return false;
                }
                */
                
                mobileAjax = $.ajax({
                                    type: "POST",
                                    url: "../modules/servers/axxessReseller/calls/configAxxess.php",
                                    cache: false,
                                    timeout: 25000,
                                    dataType: "json",
                                    data:
                                    {
                                        "action":"option2",
                                        "param":"getMobileProducts",
                                    },
                                    error: function(request,error,errorThrown)
                                    {
                                    },
                                    success: function(data)
                                    {
                                       if(data.status==="success")
                                       {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("MTN 3G/LTE");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append(data.message);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                       }
                                    }
                                });
            }
            else if(option2 === "mtnfixed")
            {
                /*
                if(typeof(wirelessHWProductAjax) == "object")
                    {
                        console.log("before call");
                        console.log(wirelessHWProductAjax);
                        wirelessHWProductAjax.abort();
                        wirelessHWProductAjax = "";
                        return false;
                    }
                */
                    wirelessHWProductAjax = $.ajax({
                                    type: "POST",
                                    url: "../modules/servers/axxessReseller/calls/configAxxess.php",
                                    cache: false,
                                    timeout: 25000,
                                    dataType: "json",
                                    data:
                                    {
                                        "action":"option3",
                                        "param":"getWirelessHW",
                                        "param1":option2
                                    },
                                    error: function(request,error,errorThrown)
                                    {
                                        wirelessHWProductAjax = "";
                                    },
                                    success: function(data)
                                    {
                                       if(data.status==="success")
                                       {
                                           /*
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("Service");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append(data.message);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                            */
                                            $("select[name=\'packageconfigoption[3]\']").parent("td").prev().text("Telkom Fixed LTE");
                                            $("select[name=\'packageconfigoption[3]\']").empty();
                                            $("select[name=\'packageconfigoption[3]\']").append(data.message);

                                            $("select[name=\'packageconfigoption[3]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[3]\']").parent("td").show();
                                       }
                                       wirelessHWProductAjax = "";
                                    }
                                });
            }
            else if(option2 ==="telkomfixed")
            {
                /*
                if(typeof(mobileCellAjax) == "object")
                {
                    mobileCellAjax.abort();
                    mobileCellAjax = "";
                    return false;
                }
                */
                mobileCellAjax = $.ajax({
                                    type: "POST",
                                    url: "../modules/servers/axxessReseller/calls/configAxxess.php",
                                    cache: false,
                                    timeout: 25000,
                                    dataType: "json",
                                    data:
                                    {
                                        "action":"option3",
                                        "param":"getWirelessHW",
                                        "param1":option2
                                    },
                                    error: function(request,error,errorThrown)
                                    {
                                        mobileCellAjax = "";
                                    },
                                    success: function(data)
                                    {
                                       if(data.status==="success")
                                       {
                                           /*
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("Service");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append(data.message);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                            */
                                            $("select[name=\'packageconfigoption[3]\']").parent("td").prev().text("Telkom Fixed LTE");
                                            $("select[name=\'packageconfigoption[3]\']").empty();
                                            $("select[name=\'packageconfigoption[3]\']").append(data.message);

                                            $("select[name=\'packageconfigoption[3]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[3]\']").parent("td").show();
                                       }
                                       
                                       mobileCellAjax = "";
                                    }
                                });
            }
        }
        $("#moduleSettingsLoader").hide();
    });
    
    //third
    
    $(document).on("change", "select[name=\'packageconfigoption[3]\']", function ()
    {
        $("#moduleSettingsLoader").show();
       
        hideAxxessConfigOptions(3);
        
        var option1 = $("select[name=\'packageconfigoption[1]\']").val();
        var option2 = $("select[name=\'packageconfigoption[2]\']").val();
        var option3 = $("select[name=\'packageconfigoption[3]\']").val();
        
        if(option1==="DSL")
        {
            if(option2==="Data")
            {
                if(option3==="Capped")
                {
                    /*
                    if(typeof(cappedAjax) == "object")
                    {
                        cappedAjax.abort();
                        cappedAjax = "";
                        return false;
                    }
                    */
                    cappedAjax = $.ajax({
                                    type: "POST",
                                    url: "../modules/servers/axxessReseller/calls/configAxxess.php",
                                    cache: false,
                                    timeout: 25000,
                                    dataType: "json",
                                    data:
                                    {
                                        "action":"option3",
                                        "param":"getCappedProducts",
                                    },
                                    error: function(request,error,errorThrown)
                                    {
                                    },
                                    success: function(data)
                                    {
                                       if(data.status==="success")
                                       {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("DSL Capped");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append(data.message);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                       }
                                    }
                                });
                }
                else if(option3==="Uncapped")
                {
                    /*
                    if(typeof(uncappedAjax) == "object")
                    {
                        uncappedAjax.abort();
                        uncappedAjax = "";
                        return false;
                    }
                    */
                    uncappedAjax = $.ajax({
                                    type: "POST",
                                    url: "../modules/servers/axxessReseller/calls/configAxxess.php",
                                    cache: false,
                                    timeout: 25000,
                                    dataType: "json",
                                    data:
                                    {
                                        "action":"option3",
                                        "param":"getUncappedProducts",
                                    },
                                    error: function(request,error,errorThrown)
                                    {
                                    },
                                    success: function(data)
                                    {
                                       if(data.status==="success")
                                       {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("DSL Uncapped");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append(data.message);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                       }
                                    }
                                });
                }
                
            }
        }
        else if(option1==="Fibre")
        {
            if(option2!="0")
            {
                if(option3==="Capped")
                {
                    /*
                    if(typeof(fibeCappedAjax) == "object")
                    {
                        fibeCappedAjax.abort();
                        fibeCappedAjax = "";
                        return false;
                    }
                    */
                    fibeCappedAjax = $.ajax({
                                    type: "POST",
                                    url: "../modules/servers/axxessReseller/calls/configAxxess.php",
                                    cache: false,
                                    timeout: 25000,
                                    dataType: "json",
                                    data:
                                    {
                                        "action":"option3",
                                        "param":"getFibreCappedProducts",
                                        "param1":option2
                                    },
                                    error: function(request,error,errorThrown)
                                    {
                                    },
                                    success: function(data)
                                    {
                                       if(data.status==="success")
                                       {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("Fibre Capped");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append(data.message);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                       }
                                    }
                                });
                }
                else if(option3==="Uncapped")
                {
                    /*
                    if(typeof(fibeUncappedAjax) == "object")
                    {
                        fibeUncappedAjax.abort();
                        fibeUncappedAjax = "";
                        return false;
                    }
                    */
                    fibeUncappedAjax = $.ajax({
                                    type: "POST",
                                    url: "../modules/servers/axxessReseller/calls/configAxxess.php",
                                    cache: false,
                                    timeout: 25000,
                                    dataType: "json",
                                    data:
                                    {
                                        "action":"option3",
                                        "param":"getFibreUncappedProducts",
                                        "param1":option2,
                                    },
                                    error: function(request,error,errorThrown)
                                    {
                                    },
                                    success: function(data)
                                    {
                                       if(data.status==="success")
                                       {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("Fibre Capped");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append(data.message);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                       }
                                    }
                                });
                }
            }
        }
        else if(option1==="Mobile")
        {
            if(option2 === "mtnfixed")
            {
                if(option3 != "0")
                {
                    
                    telcomeLTEAjax = $.ajax({
                                    type: "POST",
                                    url: "../modules/servers/axxessReseller/calls/configAxxess.php",
                                    cache: false,
                                    timeout: 25000,
                                    dataType: "json",
                                    data:
                                    {
                                        "action":"option4",
                                        "param":"getWirelessHWProducts",
                                        "param1":option2,
                                        "param2":option3
                                    },
                                    error: function(request,error,errorThrown)
                                    {
                                    },
                                    success: function(data)
                                    {
                                       if(data.status==="success")
                                       {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("Services");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append(data.message);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                       }
                                    }
                                });
                }
                
            }
            else if(option2 === "telkomfixed")
            {
                if(option3 != "0")
                {
                    
                    telcomeLTEAjax = $.ajax({
                                    type: "POST",
                                    url: "../modules/servers/axxessReseller/calls/configAxxess.php",
                                    cache: false,
                                    timeout: 25000,
                                    dataType: "json",
                                    data:
                                    {
                                        "action":"option4",
                                        "param":"getWirelessHWProducts",
                                        "param1":option2,
                                        "param2":option3
                                    },
                                    error: function(request,error,errorThrown)
                                    {
                                    },
                                    success: function(data)
                                    {
                                       if(data.status==="success")
                                       {
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().text("Services");
                                            $("select[name=\'packageconfigoption[4]\']").empty();
                                            $("select[name=\'packageconfigoption[4]\']").append(data.message);
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[4]\']").parent("td").show();
                                       }
                                    }
                                });
                }
            }
        }
        $("#moduleSettingsLoader").hide();
    });
    
    //fourth option
    
    $(document).on("change", "select[name=\'packageconfigoption[4]\']", function ()
    {
        $("#moduleSettingsLoader").show();
        hideAxxessConfigOptions(4);
        
        var option1 = $("select[name=\'packageconfigoption[1]\']").val();
        var option2 = $("select[name=\'packageconfigoption[2]\']").val();
        var option3 = $("select[name=\'packageconfigoption[3]\']").val();
        var option4 = $("select[name=\'packageconfigoption[4]\'] option:selected");
        
        if(option1==="DSL")
        {
            if(option2==="Data")
            {
                if(option3==="Capped")
                {
                
                    if(option4.val()!== "0")
                    {
                        /*
                        if(typeof(cappedDSLAjax) == "object")
                        {
                            cappedDSLAjax.abort();
                            cappedDSLAjax = "";
                            return false;
                        }
                        */
                        cappedDSLAjax = $.ajax({
                                    type: "POST",
                                    url: "../modules/servers/axxessReseller/calls/configAxxess.php",
                                    cache: false,
                                    timeout: 25000,
                                    dataType: "json",
                                    data:
                                    {
                                        "action":"option4",
                                        "param":option4.text(),
                                    },
                                    error: function(request,error,errorThrown)
                                    {
                                    },
                                    success: function(data)
                                    {
                                       if(data.status==="success")
                                       {
                                            $("select[name=\'packageconfigoption[5]\']").parent("td").prev().text(option4.text());
                                            $("select[name=\'packageconfigoption[5]\']").empty();
                                            $("select[name=\'packageconfigoption[5]\']").append(data.message);
                                            $("select[name=\'packageconfigoption[5]\']").parent("td").prev().show();
                                            $("select[name=\'packageconfigoption[5]\']").parent("td").show();
                                       }
                                    }
                                });
                         
                    }
                    
                }
            }
        }
        
    $("#moduleSettingsLoader").hide();
    
    });